param(
    [switch]$Test,
    [PSDefaultValue()]
    [Parameter(Mandatory = $false)]
    $Year = 2023,
    [Parameter(Mandatory = $true, Position = 0)]
    $Day)

$folder = $Test ? "tests" : "inputs"

$env:AOC_VERBOSE = $VerbosePreference -eq "Continue"
Get-Content ".\$Year\$folder\day$Day.txt" | python ".\$Year\day$Day.py"
